> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv2organizations schedulehost settings



## OpenAPI

````yaml https://api.osiro.com/doc get /api/v2/organizations/{orgId}/schedule/host-settings
openapi: 3.0.0
info:
  title: osiro API
  version: 2.0.0
servers: []
security: []
tags:
  - name: Funnel
    description: Public funnel rendering, submission, MFA, and analytics.
  - name: Booking
    description: A lead's cancel and reschedule of their booking, via the manage link.
  - name: Training
    description: Org-scoped sales-training catalogs, sessions, and call records.
  - name: Attribution
    description: Cross-domain PostHog identity handoff for the marketing site.
  - name: Billing
    description: Org-scoped checkouts, plans, trials and the Stripe billing portal.
  - name: Leads
    description: Org-scoped lead reads and actions.
  - name: Ad copy
    description: Org-scoped ad guidelines and Meta ad copy generation.
paths:
  /api/v2/organizations/{orgId}/schedule/host-settings:
    get:
      tags:
        - Schedule
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: orgId
          in: path
        - schema:
            type: string
            format: uuid
          required: false
          name: member
          in: query
      responses:
        '200':
          description: >-
            The caller's host settings, or `member`'s when the caller owns the
            organization
          content:
            application/json:
              schema:
                type: object
                properties:
                  viewerId:
                    type: string
                  isOwner:
                    type: boolean
                  targetUserId:
                    type: string
                  members:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        firstName:
                          type: string
                        lastName:
                          type: string
                        email:
                          type: string
                      required:
                        - id
                        - firstName
                        - lastName
                        - email
                  host:
                    type: object
                    nullable: true
                    properties:
                      id:
                        type: string
                      organization_id:
                        type: string
                      user_id:
                        type: string
                      timezone:
                        type: string
                      removed_at:
                        type: string
                        nullable: true
                      created_at:
                        type: string
                    required:
                      - id
                      - organization_id
                      - user_id
                      - timezone
                      - removed_at
                      - created_at
                  schedules:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        organization_id:
                          type: string
                        host_id:
                          type: string
                        name:
                          type: string
                        is_default:
                          type: boolean
                        created_at:
                          type: string
                        availability_rule:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              schedule_id:
                                type: string
                              weekday:
                                type: number
                              start_time:
                                type: string
                              end_time:
                                type: string
                            required:
                              - id
                              - schedule_id
                              - weekday
                              - start_time
                              - end_time
                        availability_override:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              schedule_id:
                                type: string
                              date:
                                type: string
                              start_time:
                                type: string
                                nullable: true
                              end_time:
                                type: string
                                nullable: true
                            required:
                              - id
                              - schedule_id
                              - date
                              - start_time
                              - end_time
                      required:
                        - id
                        - organization_id
                        - host_id
                        - name
                        - is_default
                        - created_at
                        - availability_rule
                        - availability_override
                  eventTypes:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        organization_id:
                          type: string
                        host_id:
                          type: string
                        schedule_id:
                          type: string
                          nullable: true
                        title:
                          type: string
                        description:
                          type: string
                          nullable: true
                        duration_minutes:
                          type: number
                        buffer_before_minutes:
                          type: number
                        buffer_after_minutes:
                          type: number
                        minimum_notice_minutes:
                          type: number
                        max_days_ahead:
                          type: number
                        location_kind:
                          type: string
                          enum:
                            - phone
                            - in_person
                            - link
                            - generated
                        location_value:
                          type: string
                          nullable: true
                        meeting_provider:
                          type: string
                          nullable: true
                          enum:
                            - fake
                            - microsoft_teams
                            - google_meet
                            - null
                        archived_at:
                          type: string
                          nullable: true
                        created_at:
                          type: string
                      required:
                        - id
                        - organization_id
                        - host_id
                        - schedule_id
                        - title
                        - description
                        - duration_minutes
                        - buffer_before_minutes
                        - buffer_after_minutes
                        - minimum_notice_minutes
                        - max_days_ahead
                        - location_kind
                        - location_value
                        - meeting_provider
                        - archived_at
                        - created_at
                  meetingProviders:
                    type: array
                    items:
                      type: string
                      enum:
                        - fake
                        - microsoft_teams
                        - google_meet
                required:
                  - viewerId
                  - isOwner
                  - targetUserId
                  - members
                  - host
                  - schedules
                  - eventTypes
                  - meetingProviders
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.